> For the complete documentation index, see [llms.txt](https://docs.validator247.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validator247.com/mainnet/pactus.md).

# Pactus

> <https://discord.gg/XjCEjKve>

**Guide Install**

System installation

```
sudo apt update && apt upgrade -y

sudo apt install tmux git curl -y

sudo apt install make clang pkg-config libssl-dev build-essential -y
```

**Download  Binary**

```
cd $HOME && rm -rf node_pactus && wget https://github.com/pactus-project/pactus/releases/download/v1.1.4/pactus-cli_1.1.4_linux_amd64.tar.gz && tar -xzf pactus-cli_1.1.4_linux_amd64.tar.gz && rm -rf pactus-cli_1.1.4_linux_amd64.tar.gz && mv pactus-cli_1.1.4 node_pactus && cd node_pactus
```

**Initi the Node - (** choose number **1** Validator )

```
sudo ./pactus-daemon init
```

Run node ( Create a new tmux session ) &#x20;

```
sudo ./pactus-daemon start
```

**Service command  (**  Note: Need to run < cd node\_pactus > before doing this )

Restore wallet

```
./pactus-daemon init --restore "<your-mnemonic>"
```

Get seeds

```
./pactus-wallet seed
```

Get balance

```
./pactus-wallet address balance <Your_wallet>
```

Bond ( stake )

```
./pactus-wallet tx bond <Reward address> <Validator address> <AMOUNT>
```

Transfer

```
./pactus-wallet tx transfer <sender address> <receiver address> <amount>
```

Unstake ( wait 21 days )

```
./pactus-wallet tx unbond <your_Validator_wallet>
```

Withdraw tokens from validator wallet to reward wallet. (unstake after 21 days)

```
./pactus-wallet tx withdraw --password <pass_wallet> <validator_wallet> <reward_wallet> <amount>
```

***DONE***&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validator247.com/mainnet/pactus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
